Notification
For authentication instructions, see API overview.
Endpoints
List all notification setups
Returns a list of notification setups. The notification setups are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setupsResponse
No response schemaCreate notification setups
Create notification setups. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
titlestringcodestringobjectstringactionstringquerystringtriggerFieldstringmessagestringsubjectstringtypestringfrequencystringdaystringtimestringchannelsarray
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setups \ -d 'title="test"' \ -d 'code="asdfsdf"' \ -d 'object="tasks"' \ -d 'action="query"' \ -d 'query="query=new"' \ -d 'triggerField="status"' \ -d 'message="test"' \ -d 'subject="test"' \ -d 'type="instant"' \ -d 'frequency="daily"' \ -d 'day="null"' \ -d 'time="null"' \ -d 'channels="array"'Response
No response schemaRetrieve notification setups
Returns a single notification setup, which you can request by passing through an id in the url.
Path parameters
idstringID of the notification setup
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setups/:idResponse
No response schemaUpdate notification setups
Path parameters
idstringID of the notification setup
Request body
titlestringcodestringobjectstringactionstringquerystringtriggerFieldstringmessagestringsubjectstringtypestringfrequencystringdaystringtimestringchannelsarray
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setups/:id \ -d 'title="test"' \ -d 'code="asdfsdf"' \ -d 'object="tasks"' \ -d 'action="query"' \ -d 'query="query=new"' \ -d 'triggerField="status"' \ -d 'message="test"' \ -d 'subject="test"' \ -d 'type="instant"' \ -d 'frequency="daily"' \ -d 'day="null"' \ -d 'time="null"' \ -d 'channels="array"'Response
No response schemaUpdate notification setups soft
Update notification setups soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the notification setup
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setups/:idResponse
No response schemaDelete notification setups
Path parameters
idstringID of the notification setup
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-setups/deleted/:id